#region Copyright Syncfusion Inc. 2001 - 2007
//
//  Copyright Syncfusion Inc. 2001 - 2007. All rights reserved.
//
//  Use of this code is subject to the terms of our license.
//  A copy of the current license can be obtained at any time by e-mailing
//  licensing@syncfusion.com. Any infringement will be prosecuted under
//  applicable laws. 
//
#endregion

using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Threading;
using System.Windows.Forms;
using System.Data;
using Syncfusion.Drawing;
using Syncfusion.Windows.Forms;
using Syncfusion.Windows.Forms.Chart;
using Timer=System.Windows.Forms.Timer;

namespace SplitContainerAdv
{
    /// <summary>
    /// Summary description for Form1.
    /// </summary>
    public class Form1 : Office2007Form
    {
        private Syncfusion.Windows.Forms.Tools.SplitContainerAdv splitContainerAdv1;
        private Syncfusion.Windows.Forms.Tools.CheckBoxAdv checkBox1;
        private Syncfusion.Windows.Forms.Tools.CheckBoxAdv checkBox2;
        private Syncfusion.Windows.Forms.Tools.CheckBoxAdv checkBox3;
        private System.Windows.Forms.NumericUpDown numericUpDown1;
        private System.Windows.Forms.NumericUpDown numericUpDown2;
        private System.Windows.Forms.Label label1;
        private System.Windows.Forms.Label label2;
        private System.Windows.Forms.Label label3;
        private System.Windows.Forms.ComboBox comboBox1;
        private Syncfusion.Windows.Forms.Tools.SplitContainerAdv splitContainerAdv2;
        private Label label4;
		private ComboBox comboBox2;
        private Syncfusion.Windows.Forms.Tools.GradientPanel panel1;
		private Syncfusion.Windows.Forms.Tools.GradientPanel panel2;
		private Timer timer1;
		private Button btnStartTimer;
		private TextBox tbErrors;
		private ChartControl chartControl1;
		private Button btnKillChart;
		private IContainer components;

        public Form1()
        {
        	Instance = this;
            //
            // Required for Windows Form Designer support
            //
            InitializeComponent();

            this.comboBox1.SelectedIndex = 0;
            this.comboBox2.SelectedIndex = 0;

        	

        	InitializeChartData();

			//panel1.BackgroundColor.Style = BrushStyle.Solid;
        	//panel1.BackgroundColor.BackColor = Color.White;
			//panel2.BackgroundColor.Style = BrushStyle.Solid;
        	

            //
            // TODO: Add any constructor code after InitializeComponent call
            //
        }

        /// <summary>
        /// Clean up any resources being used.
        /// </summary>
        protected override void Dispose(bool disposing)
        {
            if (disposing)
            {
                if (components != null)
                {
                    components.Dispose();
                }
            }
            base.Dispose(disposing);
        }

        #region Windows Form Designer generated code
        /// <summary>
        /// Required method for Designer support - do not modify
        /// the contents of this method with the code editor.
        /// </summary>
        private void InitializeComponent()
        {
			this.components = new System.ComponentModel.Container();
			System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(Form1));
			this.splitContainerAdv1 = new Syncfusion.Windows.Forms.Tools.SplitContainerAdv();
			this.splitContainerAdv2 = new Syncfusion.Windows.Forms.Tools.SplitContainerAdv();
			this.panel2 = new Syncfusion.Windows.Forms.Tools.GradientPanel();
			this.label4 = new System.Windows.Forms.Label();
			this.comboBox2 = new System.Windows.Forms.ComboBox();
			this.label1 = new System.Windows.Forms.Label();
			this.numericUpDown2 = new System.Windows.Forms.NumericUpDown();
			this.label2 = new System.Windows.Forms.Label();
			this.comboBox1 = new System.Windows.Forms.ComboBox();
			this.numericUpDown1 = new System.Windows.Forms.NumericUpDown();
			this.label3 = new System.Windows.Forms.Label();
			this.panel1 = new Syncfusion.Windows.Forms.Tools.GradientPanel();
			this.checkBox1 = new Syncfusion.Windows.Forms.Tools.CheckBoxAdv();
			this.checkBox2 = new Syncfusion.Windows.Forms.Tools.CheckBoxAdv();
			this.checkBox3 = new Syncfusion.Windows.Forms.Tools.CheckBoxAdv();
			this.timer1 = new System.Windows.Forms.Timer(this.components);
			this.btnStartTimer = new System.Windows.Forms.Button();
			this.tbErrors = new System.Windows.Forms.TextBox();
			this.chartControl1 = new Syncfusion.Windows.Forms.Chart.ChartControl();
			this.btnKillChart = new System.Windows.Forms.Button();
			((System.ComponentModel.ISupportInitialize)(this.splitContainerAdv1)).BeginInit();
			this.splitContainerAdv1.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.splitContainerAdv2)).BeginInit();
			this.splitContainerAdv2.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.panel2)).BeginInit();
			this.panel2.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.numericUpDown2)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.numericUpDown1)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.panel1)).BeginInit();
			this.panel1.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.checkBox1)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.checkBox2)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.checkBox3)).BeginInit();
			this.SuspendLayout();
			// 
			// splitContainerAdv1
			// 
			this.splitContainerAdv1.Dock = System.Windows.Forms.DockStyle.Fill;
			this.splitContainerAdv1.FixedPanel = Syncfusion.Windows.Forms.Tools.Enums.FixedPanel.Panel1;
			this.splitContainerAdv1.Location = new System.Drawing.Point(0, 0);
			this.splitContainerAdv1.Name = "splitContainerAdv1";
			this.splitContainerAdv1.Panel1.BackgroundColor = new Syncfusion.Drawing.BrushInfo(Syncfusion.Drawing.GradientStyle.Vertical, System.Drawing.Color.FromArgb(((int)(((byte)(179)))), ((int)(((byte)(209)))), ((int)(((byte)(252))))), System.Drawing.Color.FromArgb(((int)(((byte)(231)))), ((int)(((byte)(242)))), ((int)(((byte)(255))))));
			this.splitContainerAdv1.Panel1.Controls.Add(this.tbErrors);
			this.splitContainerAdv1.Panel2.BackgroundColor = new Syncfusion.Drawing.BrushInfo(Syncfusion.Drawing.GradientStyle.Vertical, System.Drawing.Color.FromArgb(((int)(((byte)(179)))), ((int)(((byte)(209)))), ((int)(((byte)(252))))), System.Drawing.Color.FromArgb(((int)(((byte)(231)))), ((int)(((byte)(242)))), ((int)(((byte)(255))))));
			this.splitContainerAdv1.Panel2.Controls.Add(this.splitContainerAdv2);
			this.splitContainerAdv1.PanelToBeCollapsed = Syncfusion.Windows.Forms.Tools.Enums.CollapsedPanel.Panel1;
			this.splitContainerAdv1.Size = new System.Drawing.Size(713, 461);
			this.splitContainerAdv1.SplitterDistance = 280;
			this.splitContainerAdv1.Style = Syncfusion.Windows.Forms.Tools.Enums.Style.Office2007Blue;
			this.splitContainerAdv1.TabIndex = 0;
			this.splitContainerAdv1.Text = "splitContainerAdv1";
			this.splitContainerAdv1.ThemesEnabled = true;
			this.splitContainerAdv1.TogglePanelOn = Syncfusion.Windows.Forms.Tools.Enums.TogglePanelOn.DoubleClick;
			this.splitContainerAdv1.SplitterMoving += new Syncfusion.Windows.Forms.Tools.Events.SplitterMoveEventHandler(this.splitContainerAdv1_SplitterMoving);
			// 
			// splitContainerAdv2
			// 
			this.splitContainerAdv2.BackgroundColor = new Syncfusion.Drawing.BrushInfo(Syncfusion.Drawing.GradientStyle.Horizontal, System.Drawing.Color.FromArgb(((int)(((byte)(227)))), ((int)(((byte)(239)))), ((int)(((byte)(255))))), System.Drawing.Color.FromArgb(((int)(((byte)(101)))), ((int)(((byte)(147)))), ((int)(((byte)(207))))));
			this.splitContainerAdv2.Dock = System.Windows.Forms.DockStyle.Fill;
			this.splitContainerAdv2.ExpandFill = new Syncfusion.Drawing.BrushInfo(System.Drawing.Color.Blue);
			this.splitContainerAdv2.FixedPanel = Syncfusion.Windows.Forms.Tools.Enums.FixedPanel.Panel1;
			this.splitContainerAdv2.HotBackgroundColor = new Syncfusion.Drawing.BrushInfo(Syncfusion.Drawing.GradientStyle.Horizontal, System.Drawing.Color.FromArgb(((int)(((byte)(252)))), ((int)(((byte)(151)))), ((int)(((byte)(61))))), System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(184)))), ((int)(((byte)(94))))));
			this.splitContainerAdv2.HotExpandFill = new Syncfusion.Drawing.BrushInfo(System.Drawing.Color.Blue);
			this.splitContainerAdv2.Location = new System.Drawing.Point(0, 0);
			this.splitContainerAdv2.Name = "splitContainerAdv2";
			this.splitContainerAdv2.Orientation = System.Windows.Forms.Orientation.Vertical;
			this.splitContainerAdv2.Panel1.BackColor = System.Drawing.Color.White;
			this.splitContainerAdv2.Panel1.BackgroundColor = new Syncfusion.Drawing.BrushInfo(Syncfusion.Drawing.GradientStyle.Vertical, System.Drawing.Color.FromArgb(((int)(((byte)(179)))), ((int)(((byte)(209)))), ((int)(((byte)(252))))), System.Drawing.Color.FromArgb(((int)(((byte)(231)))), ((int)(((byte)(242)))), ((int)(((byte)(255))))));
			this.splitContainerAdv2.Panel1.Controls.Add(this.btnKillChart);
			this.splitContainerAdv2.Panel1.Controls.Add(this.btnStartTimer);
			this.splitContainerAdv2.Panel1.Controls.Add(this.panel2);
			this.splitContainerAdv2.Panel1.Controls.Add(this.panel1);
			this.splitContainerAdv2.Panel2.BackgroundColor = new Syncfusion.Drawing.BrushInfo(Syncfusion.Drawing.GradientStyle.Vertical, System.Drawing.Color.FromArgb(((int)(((byte)(179)))), ((int)(((byte)(209)))), ((int)(((byte)(252))))), System.Drawing.Color.FromArgb(((int)(((byte)(231)))), ((int)(((byte)(242)))), ((int)(((byte)(255))))));
			this.splitContainerAdv2.Panel2.Controls.Add(this.chartControl1);
			this.splitContainerAdv2.PanelToBeCollapsed = Syncfusion.Windows.Forms.Tools.Enums.CollapsedPanel.Panel1;
			this.splitContainerAdv2.Size = new System.Drawing.Size(426, 461);
			this.splitContainerAdv2.SplitterDistance = 260;
			this.splitContainerAdv2.Style = Syncfusion.Windows.Forms.Tools.Enums.Style.Office2007Blue;
			this.splitContainerAdv2.TabIndex = 0;
			this.splitContainerAdv2.Text = "splitContainerAdv2";
			this.splitContainerAdv2.ThemesEnabled = true;
			// 
			// panel2
			// 
			this.panel2.BackColor = System.Drawing.Color.Transparent;
			this.panel2.BackgroundColor = new Syncfusion.Drawing.BrushInfo(Syncfusion.Drawing.GradientStyle.Vertical, System.Drawing.Color.FromArgb(((int)(((byte)(185)))), ((int)(((byte)(213)))), ((int)(((byte)(252))))), System.Drawing.Color.FromArgb(((int)(((byte)(227)))), ((int)(((byte)(239)))), ((int)(((byte)(255))))));
			this.panel2.BorderColor = System.Drawing.Color.Black;
			this.panel2.BorderStyle = System.Windows.Forms.BorderStyle.None;
			this.panel2.Controls.Add(this.label4);
			this.panel2.Controls.Add(this.comboBox2);
			this.panel2.Controls.Add(this.label1);
			this.panel2.Controls.Add(this.numericUpDown2);
			this.panel2.Controls.Add(this.label2);
			this.panel2.Controls.Add(this.comboBox1);
			this.panel2.Controls.Add(this.numericUpDown1);
			this.panel2.Controls.Add(this.label3);
			this.panel2.Location = new System.Drawing.Point(3, 71);
			this.panel2.Name = "panel2";
			this.panel2.Size = new System.Drawing.Size(216, 118);
			this.panel2.TabIndex = 18;
			// 
			// label4
			// 
			this.label4.AutoSize = true;
			this.label4.BackColor = System.Drawing.Color.Transparent;
			this.label4.Location = new System.Drawing.Point(51, 70);
			this.label4.Name = "label4";
			this.label4.Size = new System.Drawing.Size(30, 13);
			this.label4.TabIndex = 16;
			this.label4.Text = "Style";
			// 
			// comboBox2
			// 
			this.comboBox2.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.comboBox2.Items.AddRange(new object[] {
            "None",
            "Panel1",
            "Panel2"});
			this.comboBox2.Location = new System.Drawing.Point(97, 62);
			this.comboBox2.Name = "comboBox2";
			this.comboBox2.Size = new System.Drawing.Size(104, 21);
			this.comboBox2.TabIndex = 15;
			this.comboBox2.SelectedValueChanged += new System.EventHandler(this.comboBox2_SelectedValueChanged);
			// 
			// label1
			// 
			this.label1.AutoSize = true;
			this.label1.BackColor = System.Drawing.Color.Transparent;
			this.label1.Location = new System.Drawing.Point(3, 38);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(84, 13);
			this.label1.TabIndex = 8;
			this.label1.Text = "Splitter Distance";
			// 
			// numericUpDown2
			// 
			this.numericUpDown2.Location = new System.Drawing.Point(97, 89);
			this.numericUpDown2.Maximum = new decimal(new int[] {
            20,
            0,
            0,
            0});
			this.numericUpDown2.Minimum = new decimal(new int[] {
            1,
            0,
            0,
            0});
			this.numericUpDown2.Name = "numericUpDown2";
			this.numericUpDown2.Size = new System.Drawing.Size(104, 20);
			this.numericUpDown2.TabIndex = 7;
			this.numericUpDown2.Value = new decimal(new int[] {
            7,
            0,
            0,
            0});
			this.numericUpDown2.ValueChanged += new System.EventHandler(this.numericUpDown2_ValueChanged);
			// 
			// label2
			// 
			this.label2.AutoSize = true;
			this.label2.BackColor = System.Drawing.Color.Transparent;
			this.label2.Location = new System.Drawing.Point(12, 96);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(70, 13);
			this.label2.TabIndex = 9;
			this.label2.Text = "Splitter Width";
			// 
			// comboBox1
			// 
			this.comboBox1.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.comboBox1.Items.AddRange(new object[] {
            "None",
            "Panel1",
            "Panel2"});
			this.comboBox1.Location = new System.Drawing.Point(97, 9);
			this.comboBox1.Name = "comboBox1";
			this.comboBox1.Size = new System.Drawing.Size(104, 21);
			this.comboBox1.TabIndex = 14;
			this.comboBox1.SelectedIndexChanged += new System.EventHandler(this.comboBox1_SelectedIndexChanged);
			// 
			// numericUpDown1
			// 
			this.numericUpDown1.Location = new System.Drawing.Point(97, 36);
			this.numericUpDown1.Maximum = new decimal(new int[] {
            800,
            0,
            0,
            0});
			this.numericUpDown1.Name = "numericUpDown1";
			this.numericUpDown1.Size = new System.Drawing.Size(104, 20);
			this.numericUpDown1.TabIndex = 6;
			this.numericUpDown1.Value = new decimal(new int[] {
            191,
            0,
            0,
            0});
			this.numericUpDown1.ValueChanged += new System.EventHandler(this.numericUpDown1_ValueChanged);
			// 
			// label3
			// 
			this.label3.AutoSize = true;
			this.label3.BackColor = System.Drawing.Color.Transparent;
			this.label3.Location = new System.Drawing.Point(19, 12);
			this.label3.Name = "label3";
			this.label3.Size = new System.Drawing.Size(62, 13);
			this.label3.TabIndex = 13;
			this.label3.Text = "Fixed Panel";
			// 
			// panel1
			// 
			this.panel1.BackColor = System.Drawing.Color.Transparent;
			this.panel1.BackgroundColor = new Syncfusion.Drawing.BrushInfo(Syncfusion.Drawing.GradientStyle.Vertical, System.Drawing.Color.FromArgb(((int)(((byte)(185)))), ((int)(((byte)(213)))), ((int)(((byte)(252))))), System.Drawing.Color.FromArgb(((int)(((byte)(227)))), ((int)(((byte)(239)))), ((int)(((byte)(255))))));
			this.panel1.BorderColor = System.Drawing.Color.Black;
			this.panel1.BorderStyle = System.Windows.Forms.BorderStyle.None;
			this.panel1.Controls.Add(this.checkBox1);
			this.panel1.Controls.Add(this.checkBox2);
			this.panel1.Controls.Add(this.checkBox3);
			this.panel1.Location = new System.Drawing.Point(217, 71);
			this.panel1.Name = "panel1";
			this.panel1.Size = new System.Drawing.Size(206, 130);
			this.panel1.TabIndex = 17;
			// 
			// checkBox1
			// 
			this.checkBox1.AutoHeight = true;
			this.checkBox1.BackColor = System.Drawing.Color.Transparent;
			this.checkBox1.BorderColor = System.Drawing.SystemColors.WindowFrame;
			this.checkBox1.Checked = false;
			this.checkBox1.GradientEnd = System.Drawing.SystemColors.ControlDark;
			this.checkBox1.GradientStart = System.Drawing.SystemColors.Control;
			this.checkBox1.HotBorderColor = System.Drawing.SystemColors.WindowFrame;
			this.checkBox1.ImageCheckBoxSize = new System.Drawing.Size(13, 13);
			this.checkBox1.Location = new System.Drawing.Point(42, 73);
			this.checkBox1.Name = "checkBox1";
			this.checkBox1.ShadowColor = System.Drawing.Color.Black;
			this.checkBox1.ShadowOffset = new System.Drawing.Point(2, 2);
			this.checkBox1.Size = new System.Drawing.Size(104, 17);
			this.checkBox1.TabIndex = 3;
			this.checkBox1.Text = "IsSplitter Fixed";
			this.checkBox1.ThemesEnabled = false;
			this.checkBox1.CheckStateChanged += new System.EventHandler(this.checkBox1_CheckedChanged);
			// 
			// checkBox2
			// 
			this.checkBox2.AutoHeight = true;
			this.checkBox2.BackColor = System.Drawing.Color.Transparent;
			this.checkBox2.BorderColor = System.Drawing.SystemColors.WindowFrame;
			this.checkBox2.Checked = false;
			this.checkBox2.GradientEnd = System.Drawing.SystemColors.ControlDark;
			this.checkBox2.GradientStart = System.Drawing.SystemColors.Control;
			this.checkBox2.HotBorderColor = System.Drawing.SystemColors.WindowFrame;
			this.checkBox2.ImageCheckBoxSize = new System.Drawing.Size(13, 13);
			this.checkBox2.Location = new System.Drawing.Point(42, 24);
			this.checkBox2.Name = "checkBox2";
			this.checkBox2.ShadowColor = System.Drawing.Color.Black;
			this.checkBox2.ShadowOffset = new System.Drawing.Point(2, 2);
			this.checkBox2.Size = new System.Drawing.Size(112, 17);
			this.checkBox2.TabIndex = 4;
			this.checkBox2.Text = "Panel1 Collapsed";
			this.checkBox2.ThemesEnabled = false;
			this.checkBox2.CheckStateChanged += new System.EventHandler(this.checkBox2_CheckedChanged);
			// 
			// checkBox3
			// 
			this.checkBox3.AutoHeight = true;
			this.checkBox3.BackColor = System.Drawing.Color.Transparent;
			this.checkBox3.BorderColor = System.Drawing.SystemColors.WindowFrame;
			this.checkBox3.Checked = false;
			this.checkBox3.GradientEnd = System.Drawing.SystemColors.ControlDark;
			this.checkBox3.GradientStart = System.Drawing.SystemColors.Control;
			this.checkBox3.HotBorderColor = System.Drawing.SystemColors.WindowFrame;
			this.checkBox3.ImageCheckBoxSize = new System.Drawing.Size(13, 13);
			this.checkBox3.Location = new System.Drawing.Point(42, 50);
			this.checkBox3.Name = "checkBox3";
			this.checkBox3.ShadowColor = System.Drawing.Color.Black;
			this.checkBox3.ShadowOffset = new System.Drawing.Point(2, 2);
			this.checkBox3.Size = new System.Drawing.Size(120, 17);
			this.checkBox3.TabIndex = 5;
			this.checkBox3.Text = "Panel2 Collapsed";
			this.checkBox3.ThemesEnabled = false;
			this.checkBox3.CheckStateChanged += new System.EventHandler(this.checkBox3_CheckedChanged);
			// 
			// timer1
			// 
			this.timer1.Tick += new System.EventHandler(this.timer1_Tick);
			// 
			// btnStartTimer
			// 
			this.btnStartTimer.Location = new System.Drawing.Point(18, 207);
			this.btnStartTimer.Name = "btnStartTimer";
			this.btnStartTimer.Size = new System.Drawing.Size(93, 28);
			this.btnStartTimer.TabIndex = 19;
			this.btnStartTimer.Text = "Start Chart";
			this.btnStartTimer.UseVisualStyleBackColor = true;
			this.btnStartTimer.Click += new System.EventHandler(this.btnStartTimer_Click);
			// 
			// tbErrors
			// 
			this.tbErrors.Dock = System.Windows.Forms.DockStyle.Fill;
			this.tbErrors.Location = new System.Drawing.Point(0, 0);
			this.tbErrors.Multiline = true;
			this.tbErrors.Name = "tbErrors";
			this.tbErrors.ScrollBars = System.Windows.Forms.ScrollBars.Vertical;
			this.tbErrors.Size = new System.Drawing.Size(280, 461);
			this.tbErrors.TabIndex = 0;
			// 
			// chartControl1
			// 
			this.chartControl1.BackInterior = new Syncfusion.Drawing.BrushInfo(Syncfusion.Drawing.GradientStyle.Vertical, System.Drawing.Color.FromArgb(((int)(((byte)(203)))), ((int)(((byte)(209)))), ((int)(((byte)(226))))), System.Drawing.Color.FromArgb(((int)(((byte)(231)))), ((int)(((byte)(242)))), ((int)(((byte)(255))))));
			// 
			// 
			// 
			this.chartControl1.ChartArea.TextRenderingHint = System.Drawing.Text.TextRenderingHint.SystemDefault;
			this.chartControl1.Dock = System.Windows.Forms.DockStyle.Fill;
			// 
			// 
			// 
			this.chartControl1.Legend.BackInterior = new Syncfusion.Drawing.BrushInfo(Syncfusion.Drawing.GradientStyle.Vertical, System.Drawing.Color.FromArgb(((int)(((byte)(203)))), ((int)(((byte)(209)))), ((int)(((byte)(226))))), System.Drawing.Color.FromArgb(((int)(((byte)(231)))), ((int)(((byte)(242)))), ((int)(((byte)(255))))));
			this.chartControl1.Legend.IsWindowLess = false;
			this.chartControl1.Legend.Location = new System.Drawing.Point(327, 106);
			this.chartControl1.Legend.TabIndex = 1;
			this.chartControl1.Legends.Add(this.chartControl1.Legend);
			this.chartControl1.Location = new System.Drawing.Point(0, 0);
			this.chartControl1.Name = "chartControl1";
			this.chartControl1.PrimaryXAxis.ScrollBar = null;
			this.chartControl1.PrimaryYAxis.ScrollBar = null;
			this.chartControl1.Size = new System.Drawing.Size(426, 194);
			this.chartControl1.TabIndex = 1;
			this.chartControl1.Text = "chartControl2";
			// 
			// 
			// 
			this.chartControl1.Title.Name = "Def_title";
			this.chartControl1.Title.Size = new System.Drawing.Size(164, 37);
			this.chartControl1.Title.TabIndex = 2;
			this.chartControl1.Title.Text = "chartControl2";
			this.chartControl1.Titles.Add(this.chartControl1.Title);
			this.chartControl1.ToolBar.ButtonFlatStyle = System.Windows.Forms.FlatStyle.Popup;
			// 
			// btnKillChart
			// 
			this.btnKillChart.Location = new System.Drawing.Point(144, 207);
			this.btnKillChart.Name = "btnKillChart";
			this.btnKillChart.Size = new System.Drawing.Size(93, 28);
			this.btnKillChart.TabIndex = 19;
			this.btnKillChart.Text = "Kill Chart";
			this.btnKillChart.UseVisualStyleBackColor = true;
			this.btnKillChart.Click += new System.EventHandler(this.btnKillChart_Click);
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(231)))), ((int)(((byte)(242)))), ((int)(((byte)(255)))));
			this.ClientSize = new System.Drawing.Size(713, 461);
			this.Controls.Add(this.splitContainerAdv1);
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.Name = "Form1";
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
			this.Text = "SplitContainerAdv";
			this.Load += new System.EventHandler(this.Form1_Load);
			((System.ComponentModel.ISupportInitialize)(this.splitContainerAdv1)).EndInit();
			this.splitContainerAdv1.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.splitContainerAdv2)).EndInit();
			this.splitContainerAdv2.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.panel2)).EndInit();
			this.panel2.ResumeLayout(false);
			this.panel2.PerformLayout();
			((System.ComponentModel.ISupportInitialize)(this.numericUpDown2)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.numericUpDown1)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.panel1)).EndInit();
			this.panel1.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.checkBox1)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.checkBox2)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.checkBox3)).EndInit();
			this.ResumeLayout(false);

        }
        #endregion

        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
			Application.ThreadException += new System.Threading.ThreadExceptionEventHandler(Application_ThreadException);
			
            Application.Run(new Form1());
        }

		static void Application_ThreadException(object sender, System.Threading.ThreadExceptionEventArgs e)
		{
			Form1.Instance.ShowError(sender, e);
		}

    	public static Form1 Instance;


        private void Form1_Load(object sender, System.EventArgs e)
        {
            this.comboBox2.DataSource = Enum.GetValues(typeof(Syncfusion.Windows.Forms.Tools.Enums.Style));
            this.splitContainerAdv2.Style = Syncfusion.Windows.Forms.Tools.Enums.Style.Office2007Blue;
            this.comboBox2.SelectedIndex = 2;
        }

        private void comboBox1_SelectedIndexChanged(object sender, System.EventArgs e)
        {
            if (this.comboBox1.SelectedIndex == 0)
                this.splitContainerAdv1.FixedPanel = Syncfusion.Windows.Forms.Tools.Enums.FixedPanel.None;
            else if (this.comboBox1.SelectedIndex == 1)
                this.splitContainerAdv1.FixedPanel = Syncfusion.Windows.Forms.Tools.Enums.FixedPanel.Panel1;
            else
                this.splitContainerAdv1.FixedPanel = Syncfusion.Windows.Forms.Tools.Enums.FixedPanel.Panel2;
        }

        private void comboBox2_SelectedIndexChanged(object sender, System.EventArgs e)
        {
            if (this.comboBox2.SelectedIndex == 0)
                this.splitContainerAdv1.Orientation = System.Windows.Forms.Orientation.Horizontal;
            else
                this.splitContainerAdv1.Orientation = System.Windows.Forms.Orientation.Vertical;
        }

        private void numericUpDown1_ValueChanged(object sender, System.EventArgs e)
        {
            this.splitContainerAdv1.SplitterDistance = (int)this.numericUpDown1.Value;
        }

        private void splitContainerAdv1_SplitterMoving(object sender, Syncfusion.Windows.Forms.Tools.Events.SplitterMoveEventArgs e)
        {
            this.numericUpDown1.Value = this.splitContainerAdv1.SplitterDistance;
        }

        private void numericUpDown2_ValueChanged(object sender, System.EventArgs e)
        {
            this.splitContainerAdv1.SplitterWidth = (int)this.numericUpDown2.Value;
        }

        private void checkBox2_CheckedChanged(object sender, System.EventArgs e)
        {
            if (this.checkBox2.Checked)
            {
                this.splitContainerAdv1.Panel1Collapsed = true;
                this.checkBox3.Checked = false;
            }
            else
                this.splitContainerAdv1.Panel1Collapsed = false;


        }

        private void checkBox3_CheckedChanged(object sender, System.EventArgs e)
        {
            if (this.checkBox3.Checked)
            {
                this.splitContainerAdv2.Panel2Collapsed = true;
                this.checkBox2.Checked = false;
            }
            else
                this.splitContainerAdv2.Panel2Collapsed = false;


        }

        private void checkBox1_CheckedChanged(object sender, System.EventArgs e)
        {
            if (this.checkBox1.Checked)
            {
                this.splitContainerAdv1.IsSplitterFixed = true;
                this.splitContainerAdv2.IsSplitterFixed = true;
            }
            else
            {
                this.splitContainerAdv1.IsSplitterFixed = false;
                this.splitContainerAdv2.IsSplitterFixed = false;
            }
        }

        private void comboBox2_SelectedValueChanged(object sender, EventArgs e)
        {
            if (this.comboBox2.SelectedValue != null)
            {
                Syncfusion.Windows.Forms.Tools.Enums.Style v = (Syncfusion.Windows.Forms.Tools.Enums.Style)this.comboBox2.SelectedValue;
                this.splitContainerAdv2.Style = v;
                this.splitContainerAdv1.Style = v;
                SetTheme(v);
            }
        }

        private void SetTheme(Syncfusion.Windows.Forms.Tools.Enums.Style style)
        {
            switch (style)
            {
                case Syncfusion.Windows.Forms.Tools.Enums.Style.None:
                    this.panel1.BackgroundColor = new Syncfusion.Drawing.BrushInfo();
                    this.panel1.BackColor = Color.Transparent;
                    this.panel2.BackgroundColor = new Syncfusion.Drawing.BrushInfo();
                    this.panel2.BackColor = Color.Transparent;
                    break;
                case Syncfusion.Windows.Forms.Tools.Enums.Style.Default:
                    SetBackGroundColorToPanels(134, 134, 134, 134, 134, 134);
                    break;
                case Syncfusion.Windows.Forms.Tools.Enums.Style.Mozilla:
                    SetBackGroundColorToPanels(134, 134, 134, 134, 134, 134);
                    break;
                case Syncfusion.Windows.Forms.Tools.Enums.Style.Office2007Black:
                    SetBackGroundColorToPanels(90, 90, 90, 134, 134, 134);
                    break;
                case Syncfusion.Windows.Forms.Tools.Enums.Style.Office2007Blue:
                    SetBackGroundColorToPanels(186, 213, 252, 228, 240, 255);
                    break;
                case Syncfusion.Windows.Forms.Tools.Enums.Style.Office2007Silver:
                    SetBackGroundColorToPanels(192, 196, 205, 221, 225, 229);
                    break;
                case Syncfusion.Windows.Forms.Tools.Enums.Style.Office2003:
                    SetBackGroundColorToPanels(181, 196, 235, 197, 213, 233);
                    break;
                case Syncfusion.Windows.Forms.Tools.Enums.Style.OfficeXP:
                    SetBackGroundColorToPanels(181, 196, 235, 197, 213, 233);
                    break;
                case Syncfusion.Windows.Forms.Tools.Enums.Style.VS2005:
                    SetBackGroundColorToPanels(134, 134, 134, 134, 134, 134);
                    break;
            }
        }

		Syncfusion.Windows.Forms.Chart.ChartSeries _seriesExpected, _seriesGPM;
    	private bool _rangeSet =false;

    	private Random _R = new Random();

    	protected void InitializeChartData()
		{


			_seriesExpected = chartControl1.Model.NewSeries("seriesExpected");

			_seriesExpected.Points.Add(0, new double[] { 0 });

			_seriesExpected.Type = ChartSeriesType.Line;
			_seriesExpected.Text = "Expected";

			chartControl1.Series.Add(_seriesExpected);

			_seriesGPM = chartControl1.Model.NewSeries("seriesGPM");



			_seriesGPM.Type = ChartSeriesType.Line;
			_seriesGPM.Text = "GPM";

			chartControl1.Series.Add(_seriesGPM);


			chartControl1.PrimaryXAxis.RangeType = ChartAxisRangeType.Set;


		}

        private void SetBackGroundColorToPanels(int r1, int g1, int b1, int r, int g, int b)
        {
            this.panel1.BackgroundColor = new Syncfusion.Drawing.BrushInfo(Syncfusion.Drawing.GradientStyle.Vertical, System.Drawing.Color.FromArgb(((int)(((byte)(r1)))), ((int)(((byte)(g1)))), ((int)(((byte)(b1))))), System.Drawing.Color.FromArgb(((int)(((byte)(r)))), ((int)(((byte)(g)))), ((int)(((byte)(b))))));
            this.panel2.BackgroundColor = new Syncfusion.Drawing.BrushInfo(Syncfusion.Drawing.GradientStyle.Vertical, System.Drawing.Color.FromArgb(((int)(((byte)(r1)))), ((int)(((byte)(g1)))), ((int)(((byte)(b1))))), System.Drawing.Color.FromArgb(((int)(((byte)(r)))), ((int)(((byte)(g)))), ((int)(((byte)(b))))));
		}

		private void timer1_Tick(object sender, EventArgs e)
		{
			DrawChart();
		}
		private int _spanMinutes = 10;
		private double SpanMinutes(DateTime min, DateTime max, int maxDivisions)
		{
			TimeSpan ts = max - min;
			int numDivisions = (int)(ts.TotalMinutes / _spanMinutes);

			if (numDivisions > maxDivisions)
			{
				while ((ts.TotalMinutes / _spanMinutes) > maxDivisions)
				{
					_spanMinutes += 10;
				}
			}
			else if (numDivisions < 6)
			{
				if (_spanMinutes > 10)
				{
					while (_spanMinutes > 10 && ((ts.TotalMinutes/_spanMinutes) < maxDivisions - 1))
					{
						_spanMinutes -= 10;
					}
				}
				else
				{
					while (numDivisions < 6 && _spanMinutes > 1)
					{
						_spanMinutes -= 1;
						numDivisions = (int)(ts.TotalMinutes / _spanMinutes);
					}
				}
			}
			return _spanMinutes;
		}
    	private void DrawChart()
    	{

			DateTime now = DateTime.Now;
			if (!_rangeSet)
			{
				_rangeSet = true;

				DateTime min = now;
				DateTime max = now.AddMinutes(15);
				double spanMinutes = SpanMinutes(min, max, 10);

				chartControl1.PrimaryXAxis.DateTimeRange =
					new ChartDateTimeRange(now,
					                       max,
					                       spanMinutes,
					                       ChartDateTimeIntervalType.Minutes);
			}
			else if (_seriesGPM.Points.Count > 120)
			{
				_seriesGPM.Points.Remove(0);
				_seriesExpected.Points.Remove(0);

				DateTime min = _seriesGPM.Points[0].DateX;
				DateTime max = now;

				chartControl1.PrimaryXAxis.DateTimeRange =
					new ChartDateTimeRange(min, max,
										   SpanMinutes(min, max, 10),
										   ChartDateTimeIntervalType.Minutes);

			}
			else if (_seriesGPM.Points.Count > 1 && DateTime.Now > chartControl1.PrimaryXAxis.DateTimeRange.End)
			{
				DateTime min = _seriesGPM.Points[0].DateX;
				DateTime max = DateTime.Now;
				chartControl1.PrimaryXAxis.DateTimeRange =
						new ChartDateTimeRange(min, max,
					   SpanMinutes(min, max, 10),
					   ChartDateTimeIntervalType.Minutes);
			}
			if (chartControl1.Visible)
			{
				double y1 = _R.NextDouble()*10;
				double y2 = _R.NextDouble()*9;

				_seriesGPM.Points.Add(now, y1);
				_seriesExpected.Points.Add(now, y2);
			}
    	}

		private void btnStartTimer_Click(object sender, EventArgs e)
		{
			MessageBox.Show(this,
			                "After Clicking OK, let the chart start, then within a few seconds, resize the form while it's going. CRASH!", "How to Crash your app!");

			timer1.Start();
		}

    	private void ShowError(object sender, ThreadExceptionEventArgs e)
    	{
    		if (InvokeRequired)
    		{
    			Invoke(new ThreadExceptionEventHandler(ShowError), sender, e);
    			return;
    		}

    		tbErrors.AppendText(e.Exception.ToString());
    		tbErrors.AppendText("\n---------------------------\n");
    	}

		private void btnKillChart_Click(object sender, EventArgs e)
		{
			chartControl1.PrimaryXAxis.DateTimeRange =
				new ChartDateTimeRange(DateTime.Now,
				DateTime.Now.AddMinutes(10),
				10,
				ChartDateTimeIntervalType.Minutes);

			double y1 = _R.NextDouble() * 10;
			double y2 = _R.NextDouble() * 9;

			_seriesGPM.Points.Add(DateTime.Now, y1);
			_seriesExpected.Points.Add(DateTime.Now, y2);

		}
    }
}
